""" aufgabe_ls5_10a.py - Plattenplatz-Prüfer (Ausbauvariante a)
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  13.12.2021, 20.06.2022
    """


import shutil


LAUFWERK = "C:\\"
GRENZWERT = 15  # Grenzwert für Warnung


def plattenplatz_pruefen():
    """Funktion um freien Plattenplatz zu prüfen"""
    print("Plattenplatz-Prüfer (Ausbauvariante a)")
    print("--------------------------------------")
    print("")

    gesamt, benutzt, frei = shutil.disk_usage(LAUFWERK)

    gesamt = round(gesamt / (10 ** 9), 2)
    benutzt = round(benutzt / (10 ** 9), 2)
    frei = round(frei / (10 ** 9), 2)

    benutzt_prozent = round(benutzt / gesamt * 100, 2)
    frei_prozent = round(frei / gesamt * 100, 2)

    print("Laufwerk:", LAUFWERK)
    print("Gesamt:  ", gesamt, " GB")
    print("Benutzt: ", benutzt, " GB", "(", benutzt_prozent, "% )")
    print("Frei:    ", frei, " GB", "(", frei_prozent, "% )")

    print("")
    if frei_prozent < GRENZWERT:
        print("Warnung: Plattenplatz knapp!")
    else:
        print("Plattenplatz ausreichend")
    print("")


plattenplatz_pruefen()
