""" aufgabe_ls5_11.py - Energiekostenberechnung
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  15.12.2021, 20.06.2022
    """

def energiekostenberechnung():
    """ Funktion zur Energiekostenberechnung anhand von Netzteilwirkungsgrad und Nutzungsdauer """

    print("Energiekostenberechnung")
    print("------------------------")
    print("")

    # Betriebsdaten eingeben
    p_ab = float(input("Benötigte Leistung (W): "))
    wirkungsgrad = float(input("Wirkungsgrad Netzteil (%): "))
    tage = float(input("Betriebstage pro Monat: "))
    stunden = float(input("Betriebsstunden pro Tag: "))
    kosten_stunde = float(input("Energiekosten (€/kWh): "))
    print("")

    # Energiedaten berechnen
    p_zu = round(p_ab / wirkungsgrad * 100, 2)
    betriebsstunden_monat = round(tage * stunden, 2)
    energiebedarf_monat = round(p_zu * betriebsstunden_monat / 1000, 2)
    energiekosten_monat = round(energiebedarf_monat * kosten_stunde, 2)

    # Energiedaten ausgeben
    print("Bezogene Leistung (W): ", p_zu)
    print("Betriebsstunden Monat (h): ", betriebsstunden_monat)
    print("Energiebedarf Monat (kWh): ", energiebedarf_monat)
    print("Energiekosten Monat (€): ", energiekosten_monat)


energiekostenberechnung()
